header + div{padding: 0 !important;margin: 0 !important;grid-gap: 0 !important;}
body.wrapper-fluid .site-grid{grid-gap: 0;}
main {padding: 0 !important;margin: 0 !important;}
/* Toast Container */
#custom-toast-container {
    position: fixed;
    bottom: 20px;
    right: 20px;
    display: flex;
    flex-direction: column;
    align-items: flex-end;
    z-index: 9999;
}
/* Toast Messages */
.custom-toast {
    min-width: 250px;
    max-width: 350px;
    padding: 12px 16px;
    margin-top: 10px;
    border-radius: 6px;
    color: white;
    font-size: 14px;
    font-weight: 500;
    opacity: 0;
    transform: translateX(100%);
    transition: opacity 0.4s ease, transform 0.4s ease;
    box-shadow: 0 4px 6px rgba(0, 0, 0, 0.1);
}
.custom-toast.show {
    opacity: 1;
    transform: translateX(0);
}
.bs-tooltip-top{
    padding: 0 !important;
}
.bs-tooltip-end .tooltip-arrow{padding-left: 11px;}

/* Message Types */
.custom-toast-message { background-color: #17a2b8; } /* Default (Info) */
.custom-toast-error { background-color: #dc3545; } /* Red for error */
.custom-toast-warning { background-color: #ffc107; color: #333; } /* Yellow for warning */
.custom-toast-success { background-color: #28a745; } /* Green for success */

.follow-button{
    position: fixed;
    top: 20px;
    right: 20px;
    z-index: 99;
}
/* Mobile View: Move to top-center */
@media (max-width: 768px) {
    #custom-toast-container {
        bottom: unset;
        top: 20px;
        right: unset;
        left: 50%;
        transform: translateX(-50%);
        align-items: center;
    }
    .shipment-listing .main-layout #shipments-osm-map {
        height: calc(50vh - 24px);
    }
    .shipment-listing .main-layout .sidebar{
        padding: 5px;
        height: calc(50vh - 50px);
    }
}
@media (min-width: 769px) {
    .shipment-listing .main-layout .sidebar {
        max-height: calc(100vh - 85px);
    }
    .shipment-listing .main-layout #shipments-osm-map {
        height: calc(100vh - 85px);
    }
}